/*
 * lemming/ac_func.h
 *
 * Achtung: Hier wird nicht die Klasse AcFunc definiert! Das geschieht in
 * lemming/lemming.h. Hier werden nur die globalen Funktionen deklariert,
 * die in Lemming::Initializer::Initializer() dem ac_func-Vektor zugewiesen
 * werden.
 *
 */

#pragma once

void assign_faller    (Lemming&);
void assign_tumbler   (Lemming&);
void assign_stunner   (Lemming&);
void assign_lander    (Lemming&);
void assign_splatter  (Lemming&);
void assign_burner    (Lemming&);
void assign_drowner   (Lemming&);
void assign_exiter    (Lemming&);
void assign_walker    (Lemming&);
void assign_climber   (Lemming&);
void assign_ascender  (Lemming&);
void assign_floater   (Lemming&);
void assign_exploder  (Lemming&);
void assign_blocker   (Lemming&);
void assign_builder   (Lemming&);
void assign_shrugger  (Lemming&);
void assign_platformer(Lemming&);
void assign_shrugger2 (Lemming&);
void assign_basher    (Lemming&);
void assign_miner     (Lemming&);
void assign_digger    (Lemming&);
void assign_jumper    (Lemming&);
void assign_roper     (Lemming&);

void update_faller    (Lemming&, const UpdateArgs&);
void update_tumbler   (Lemming&, const UpdateArgs&);
void update_stunner   (Lemming&, const UpdateArgs&);
void update_lander    (Lemming&, const UpdateArgs&);
void update_splatter  (Lemming&, const UpdateArgs&);
void update_drowner   (Lemming&, const UpdateArgs&);
void update_burner    (Lemming&, const UpdateArgs&);
void update_exiter    (Lemming&, const UpdateArgs&);
void update_walker    (Lemming&, const UpdateArgs&);
void update_climber   (Lemming&, const UpdateArgs&);
void update_ascender  (Lemming&, const UpdateArgs&);
void update_floater   (Lemming&, const UpdateArgs&);
void update_exploder  (Lemming&, const UpdateArgs&);
void update_blocker   (Lemming&, const UpdateArgs&);
void update_builder   (Lemming&, const UpdateArgs&);
void update_shrugger  (Lemming&, const UpdateArgs&);
void update_platformer(Lemming&, const UpdateArgs&);
void update_shrugger2 (Lemming&, const UpdateArgs&);
void update_basher    (Lemming&, const UpdateArgs&);
void update_miner     (Lemming&, const UpdateArgs&);
void update_digger    (Lemming&, const UpdateArgs&);
void update_jumper    (Lemming&, const UpdateArgs&);
void update_roper     (Lemming&, const UpdateArgs&);
