/*
 * lemming/lander.cpp
 *
 */

#include "ac.h"

void update_lander(Lemming& l, const UpdateArgs& ua)
{
    ua.suppress_unused_variable_warning();

    if (l.is_last_frame()) {
        // Wir nutzen nicht Lemming::assign(Lem::WALKER), weil das zum
        // staendigen Drehen fuehrt, aehnlich wie die Walker-Zuweisung bei
        // einem normalen Walker.
        l.set_ac(Lem::WALKER);
        l.set_special_x(0);
        l.set_special_y(0);
        l.set_frame(1); // sofort weiterlaufen
    }
    else l.next_frame();
}
