/*
 * other/myalleg.h
 *
 * THIS COMMENT DOES NOT APPLY COMPLETELY!
 * WE LINK DYNAMICALLY. THIS COMMENT IS MAINLY ABOUT STATIC LINKING.
 *
 * We do here what's written in the Allegro help files. I quote:
 *
 * ---
 *   When using a statically linked library, you must define the preprocessor
 *   symbol ALLEGRO_STATICLINK before including any of the Allegro headers and
 *   link your program against Allegro and the main Win32/DirectX libraries
 *   in that order (see the variable LIBRARIES in makefile.mgw). The names of
 *   the statically linked Allegro libraries are post-fixed with '_s' so that
 *   you will link with either liballeg_s.a, liballd_s.a or liballp_s.a.
 * ---
 *
 * Thus, please use      #include <allegro.h>
 * instead of the normal #include "../other/myalleg.h"
 *
 * To link statically under windows, use the following g++ linker options,
 * as written in LIBRARIES in makefile.mgw:
 *   -lkernel32
 *   -luser32
 *   -lgdi32
 *   -lcomdlg32
 *   -lole32
 *   -ldinput
 *   -lddraw
 *   -ldxguid
 *   -lwinmm
 *   -ldsound
 *
 */

//#define ALLEGRO_STATICLINK 1

#include <allegro.h>
